Summary: SME Server specific Mnemo configuration and templates.
%define name smeserver-mnemo
Name: %{name}
%define version 1.1
%define release 2
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-mnemo-1.1-1.prefs_php.patch
Patch1: smeserver-mnemo-1.1-2.mysql_init_perm_change.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: imp-h3 >= 4.1
Requires: e-smith-base >= 4.15.1
Requires: e-smith-apache >= 1.1.0-18
Requires: e-smith-lib >= 1.15.1-16
Requires: mnemo-h3 >= 2.1
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Sat Dec 2 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-2
- Patch to change the mnemo mysql.init permissions to 0540

* Wed Sep 13 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-1
- Patch to prefs.php templates to reflect changes in mnemo 2.1  

* Tue Sep 12 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-0
- Rolled to new dev stream to reflect work done for mnemo 2.1

* Thu Jul 20 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-6
- Added Mnemo registry.php settings in horde/config/registry

* Tue Jun 22 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-5
- Removed 1.0-4 patch and fixed in source

* Sat Jun 10 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-4
- Removed deprecated calls to esmith:db and esmith:config

* Wed Mar 22 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-3
- Added an includes statement to 120Menusettings that will grab the information 
  in horde/conf.menu.apps.php.  This way each of the individual horde modules 
  don't have to repeatedly process the same template for the menu array section in conf.php.

* Sat Mar 18 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-2
- Added the ability to enable or disable mnemo menu icon from showing up on the
  main webmail screen.  To enable config set mnemo service MenuArray disabled|enabled
- e-smith-horde still needs to support this feature or manual intervention is
  required.

* Wed Mar 1 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-1
- Removed post and postun events
- Renamed to smeserver-mnemo to represent an addon product

* Sat Feb 25 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-0
- Initial build

%description
This package adds necessary templates and configuration items
so that Mnemo will work properly.

%prep
%setup

%patch0 -p1
%patch1 -p1

%build
 
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
